#include <bits/stdc++.h>
using namespace std;
int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int n, m;
    cin >> n >> m;
    map<int, int> mp;
    set<int> ans;
    while(m --) {
        int x;
        cin >> x;
        mp[x] ++;
        if(mp[x] >= n)
            ans.insert(x);
    }
    cout << ans.size() << '\n';
    for(auto i : ans)
        cout << i << ' ';
}